org.apache.hadoop.fs.azurebfs.constants

## Class FileSystemConfigurations

- java.lang.Object
- - org.apache.hadoop.fs.azurebfs.constants.FileSystemConfigurations

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public final class FileSystemConfigurations
      extends Object

  Responsible to keep all the Azure Blob File System related configurations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AZURE_BLOCK_LOCATION_HOST_DEFAULT`
    `static boolean` | `DEFAULT_ABFS_LATENCY_TRACK`
    `static boolean` | `DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION`
    `static boolean` | `DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION`
    `static int` | `DEFAULT_BACKOFF_INTERVAL`
    `static boolean` | `DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH`
    `static boolean` | `DEFAULT_ENABLE_AUTOTHROTTLING`
    `static boolean` | `DEFAULT_ENABLE_CHECK_ACCESS`
    `static boolean` | `DEFAULT_ENABLE_DELEGATION_TOKEN`
    `static boolean` | `DEFAULT_ENABLE_FLUSH`
    `static boolean` | `DEFAULT_ENABLE_HTTPS`
    `static String` | `DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES`
    `static org.apache.hadoop.fs.azurebfs.utils.SSLSocketFactoryEx.SSLChannelMode` | `DEFAULT_FS_AZURE_SSL_CHANNEL_MODE`
    `static int` | `DEFAULT_MAX_BACKOFF_INTERVAL`
    `static int` | `DEFAULT_MAX_RETRY_ATTEMPTS`
    `static int` | `DEFAULT_MIN_BACKOFF_INTERVAL`
    `static int` | `DEFAULT_READ_AHEAD_QUEUE_DEPTH`
    `static int` | `DEFAULT_READ_BUFFER_SIZE`
    `static boolean` | `DEFAULT_READ_TOLERATE_CONCURRENT_APPEND`
    `static boolean` | `DEFAULT_USE_UPN`
    `static int` | `DEFAULT_WRITE_BUFFER_SIZE`
    `static long` | `MAX_AZURE_BLOCK_SIZE`
    `static int` | `MAX_BUFFER_SIZE`
    `static int` | `MAX_CONCURRENT_READ_THREADS`
    `static int` | `MAX_CONCURRENT_WRITE_THREADS`
    `static int` | `MIN_BUFFER_SIZE`
    `static String` | `USER_HOME_DIRECTORY_PREFIX`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_HOME_DIRECTORY_PREFIX

          public static final String USER_HOME_DIRECTORY_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_BACKOFF_INTERVAL

          public static final int DEFAULT_MIN_BACKOFF_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_BACKOFF_INTERVAL

          public static final int DEFAULT_MAX_BACKOFF_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_BACKOFF_INTERVAL

          public static final int DEFAULT_BACKOFF_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_RETRY_ATTEMPTS

          public static final int DEFAULT_MAX_RETRY_ATTEMPTS

      See Also:
        Constant Field Values

    - #### DEFAULT_WRITE_BUFFER_SIZE

          public static final int DEFAULT_WRITE_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_READ_BUFFER_SIZE

          public static final int DEFAULT_READ_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### MIN_BUFFER_SIZE

          public static final int MIN_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### MAX_BUFFER_SIZE

          public static final int MAX_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### MAX_AZURE_BLOCK_SIZE

          public static final long MAX_AZURE_BLOCK_SIZE

      See Also:
        Constant Field Values

    - #### AZURE_BLOCK_LOCATION_HOST_DEFAULT

          public static final String AZURE_BLOCK_LOCATION_HOST_DEFAULT

      See Also:
        Constant Field Values

    - #### MAX_CONCURRENT_READ_THREADS

          public static final int MAX_CONCURRENT_READ_THREADS

      See Also:
        Constant Field Values

    - #### MAX_CONCURRENT_WRITE_THREADS

          public static final int MAX_CONCURRENT_WRITE_THREADS

      See Also:
        Constant Field Values

    - #### DEFAULT_READ_TOLERATE_CONCURRENT_APPEND

          public static final boolean DEFAULT_READ_TOLERATE_CONCURRENT_APPEND

      See Also:
        Constant Field Values

    - #### DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION

          public static final boolean DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION

      See Also:
        Constant Field Values

    - #### DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION

          public static final boolean DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION

      See Also:
        Constant Field Values

    - #### DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES

          public static final String DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES

      See Also:
        Constant Field Values

    - #### DEFAULT_READ_AHEAD_QUEUE_DEPTH

          public static final int DEFAULT_READ_AHEAD_QUEUE_DEPTH

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_FLUSH

          public static final boolean DEFAULT_ENABLE_FLUSH

      See Also:
        Constant Field Values

    - #### DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH

          public static final boolean DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_AUTOTHROTTLING

          public static final boolean DEFAULT_ENABLE_AUTOTHROTTLING

      See Also:
        Constant Field Values

    - #### DEFAULT_FS_AZURE_SSL_CHANNEL_MODE

          public static final org.apache.hadoop.fs.azurebfs.utils.SSLSocketFactoryEx.SSLChannelMode DEFAULT_FS_AZURE_SSL_CHANNEL_MODE

    - #### DEFAULT_ENABLE_DELEGATION_TOKEN

          public static final boolean DEFAULT_ENABLE_DELEGATION_TOKEN

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_HTTPS

          public static final boolean DEFAULT_ENABLE_HTTPS

      See Also:
        Constant Field Values

    - #### DEFAULT_USE_UPN

          public static final boolean DEFAULT_USE_UPN

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_CHECK_ACCESS

          public static final boolean DEFAULT_ENABLE_CHECK_ACCESS

      See Also:
        Constant Field Values

    - #### DEFAULT_ABFS_LATENCY_TRACK

          public static final boolean DEFAULT_ABFS_LATENCY_TRACK

      See Also:
        Constant Field Values

Copyright © 2022 Apache Software Foundation. All rights reserved.